﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;

namespace MyWebSite.User
{
    public partial class UserPage : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                //Dati dell'utente
                lblNome.Text = WebProfile.Current.Name;
                lblCognome.Text = WebProfile.Current.Surname;
                lblUsername.Text = WebProfile.Current.UserName;
                lblTipoUtente.Text = WebProfile.Current.Type.ToString();

                //Colora la label in base al tipo utente
                switch (WebProfile.Current.Type)
                {
                    case MyWebSite.Business.UserType.User:
                        lblTipoUtente.ForeColor = System.Drawing.Color.Blue;
                        break;
                    case MyWebSite.Business.UserType.Administrator:
                        lblTipoUtente.ForeColor = System.Drawing.Color.Red;
                        break;
                    case MyWebSite.Business.UserType.PowerUser:
                        lblTipoUtente.ForeColor = System.Drawing.Color.Green;
                        break;
                }
            }
        }
    }
}
